#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

set hi 8.1e+5

#
#-------------------------------------------------------------

set xSize 900
set ySize 500

set cx1 20
set cxn 800
set cy1 20
set cyn 400

canvas .c -width $xSize -height $ySize -border 0
button .b -text Quit -command exit
pack   .c .b -side top

.c create pixmap 0 0 -width $xSize -height $ySize -win 1

defineCell -x $cx1 $cxn -y $cy1 $cyn -cell 1 -verb -win 1

newScreen

drawRec -x 0% 100% -y 0% 100% -fg black -cell 1

foreach inName [glob diag/*.ft3] \
   {
    readROI -ndim 2 -roi 1 -in $inName -x X_AXIS -y Y_AXIS

    drawROI -roi 1 -cell 1 -hi $hi \
        -bg None -color1 multi -color2 multi -axis Bottom Right

    update
   } 

set roiInfo [getROIInfo -roi 1]

set fdata   [lindex $roiInfo 1]
set xSize   [lindex [lindex $roiInfo 2] 0]
set ySize   [lindex [lindex $roiInfo 2] 1]

set xSW [getParm $fdata NDSW CUR_XDIM]
set ySW [getParm $fdata NDSW CUR_YDIM]

set diagStep [expr int(($xSize*$ySW)/$xSW)]

puts "$xSW $ySW $xSize $ySize $diagStep"

set i 1

for {set ix 1} {$ix <= $xSize} {incr ix $diagStep} \
   {
    set ixn [expr $ix + $diagStep - 1]
    puts $i
    drawLine -cell 1 -roi 1 -x ${ixn}pts ${ix}pts -y 0% 100% -fg red
    incr i
   }
