#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

#
# Ordinary TCL/TK:

wm geometry . =950x850+10+10
update

set xSize [expr 5*900]
set ySize 800

set cx1 20
set cxn [expr $xSize - 100]
set cy1 20
set cyn 700

scrollbar .s -orient horiz -command ".c xview"

canvas .c -width $xSize -height $ySize -border 0 \
          -xscrollcommand ".s set" -scrollregion "0 0 $xSize $ySize"

button .b -text Quit -command exit
pack   .c .s .b -side top -expand 1 -fill x

#
# Special:

.c create pixmap 0 0 -width $xSize -height $ySize -win 1

defineCell -x $cx1 $cxn -y $cy1 $cyn -cell 1 -verb -win 1

#
# NMRWish:

readROI -ndim 2 -roi 1 -in slide.ft2 -x F1 -y F2

set roiInfo  [getROIInfo -roi 1]
set sizeList [lindex $roiInfo 2]
set xSize    [lindex $sizeList 0]
set ySize    [lindex $sizeList 1]
set yMid     [expr 1 + $ySize/2]
set dy       [expr $ySize/4]

readROI -ndim 1 -roi 2 -in slide.ft2 -x F1 -dy F2 $yMid $dy -w F2 -1

newScreen

drawROI -roi 1 -cell 1 \
    -bg black -color1 multi -color2 multi -axis Bottom Right

drawLine -roi 1 -cell 1 -x 0% 100% -y ${yMid}pts ${yMid}pts -fg red 

drawROI -roi 2 -cell 1 -hi auto -bg none -zero

